/* This file is part of the ili2fme project.
 * For more information, please see <http://www.interlis.ch>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package ch.interlis.ili2fme;

import ch.interlis.ili2c.metamodel.*;
import java.util.ArrayList;

/** Wrapper around a Viewable to make it aware of all attributes of all specializations.
 * @author ce
 * @version $Revision: 1.0 $ $Date: 13.04.2005 $
 */
public class ViewableWrapper {
	/** the viewable that this wrapper wraps.
	 */
	private Viewable viewable=null;
	/** the attributes and roles that this viewable and all it specializations have.
	 */
	private ArrayList attrv=null;
	/** the geometry of this viewable
	 */
	private AttributeDef geomAttr=null;
	/** the attributes and roles that this viewable and all it specializations have.
	 */
	public ArrayList getAttrv() {
		return attrv;
	}
	public void setAttrv(ArrayList list) {
		attrv = list;
	}


	/** gets the viewable that this wrapper wraps.
	 */
	public Viewable getViewable() {
		return viewable;
	}

	public void setViewable(Viewable viewable) {
		this.viewable = viewable;
	}

	/** gets the geometry attribute of this viewable.
	 */
	public AttributeDef getGeomAttr() {
		return geomAttr;
	}

	public void setGeomAttr(AttributeDef def) {
		geomAttr = def;
	}

}
